Create a quote

Requires the QUOTE.CREATE permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
customer_idstringRequired
The ID of the customer.
owner_user_idstringRequired

The ID of the user that is owning/ creating the quote.

customerobject or nullOptional
descriptionstringOptional
The description of the quote.
contact_idstringOptional
The contact details for the quote.
owner_userobject or nullOptional
custom_fieldslist of objects or nullOptional
template_idstring or nullOptional
The ID of the template used to create this quote.

Response

Created
object_typestring or nullOptionalRead-only
idstring or nullOptionalRead-only
created_atstring or nullOptionalRead-only
updated_atstring or nullOptionalRead-only
statusstring or nullOptionalRead-only
customer_idstringOptional
The ID of the customer.
customerobject or nullOptional
descriptionstringOptional
The description of the quote.
contact_idstringOptional
The contact details for the quote.
owner_user_idstringOptional

The ID of the user that is owning/ creating the quote.

owner_userobject or nullOptional
quote_version_infoslist of objects or nullOptionalRead-only
custom_fieldslist of objects or nullOptional
template_idstring or nullOptional
The ID of the template used to create this quote.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error